Require Import MyTactics.
Require Import LabelAlgebra.
Require Import FinSetLattice.
Require Import Principal.
Require Import CFinSetLattice.
Require Import CTaint.

Set Implicit Arguments.

Instance CDistrust :
  LabelAlgebra (CFinSet Prin.t) (CFinSet Prin.t) :=
{ Ldef := CFinSet_full _
; labLeq := @labLeq _ _ CTaint
; authLeq := @authLeq _ _ CTaint
; flowsTo := @flowsTo _ _ CTaint
}.
Proof.
* apply (@flowsToBottom _ _ CTaint).
* apply (@joinBottom _ _ CTaint).
* apply (@meetBottom _ _ CTaint).
* apply (@flowsToIncluded _ _ CTaint).
Defined.
