Require Import MyTactics.
Require Import LabelAlgebra.
Require Import FinSetLattice.
Require Import Principal.
Require Import CFinSetLattice.
Require Import CEndorsement.

Set Implicit Arguments.

Instance CReader :
  LabelAlgebra (CFinSet Prin.t) (CFinSet Prin.t) :=
{ Ldef := CFinSet_full _
; labLeq := @labLeq _ _ CEndorsement
; authLeq := @authLeq _ _ CEndorsement
; flowsTo := @flowsTo _ _ CEndorsement
}.
Proof.
* apply (@flowsToBottom _ _ CEndorsement).
* apply (@joinBottom _ _ CEndorsement).
* apply (@meetBottom _ _ CEndorsement).
* apply (@flowsToIncluded _ _ CEndorsement).
Defined.
