Require Export ProofIrrelevance.

Lemma subset_eq_compat2 :
  forall (U:Type) (P:U->Prop) (x y:U) (p:P x) (q:P y),
    x = y -> exist P x p = exist P y q.
Proof.
  intros.
  rewrite PI.proof_irrelevance with (p1:=q) (p2:=eq_rect x P p y H).
  elim H using eq_indd.
  reflexivity.
Qed.
