Require Import MyTactics.
Require Import LabelAlgebra.
Require Import Principal.
Require Import Ensembles.
Require Import UTaint.

Set Implicit Arguments.

Instance UDistrust : LabelAlgebra (Ensemble Prin.t) (Ensemble Prin.t) :=
{ Ldef := Full_set _
; labLeq := @labLeq _ _ UTaint
; authLeq := @authLeq _ _ UTaint
; flowsTo := @flowsTo _ _ UTaint
}.
Proof.
* apply (@flowsToBottom _ _ UTaint).
* apply (@joinBottom _ _ UTaint).
* apply (@meetBottom _ _ UTaint).
* apply (@flowsToIncluded _ _ UTaint).
Defined.
