Require Import MyTactics.
Require Import LabelAlgebra.
Require Import Principal.
Require Import Ensembles.
Require Import UEndorsement.

Set Implicit Arguments.

Instance UReader :
  LabelAlgebra (Ensemble Prin.t) (Ensemble Prin.t) :=
{ Ldef := Full_set Prin.t
; labLeq := @labLeq _ _ UEndorsement
; authLeq := @authLeq _ _ UEndorsement
; flowsTo := @flowsTo _ _ UEndorsement
}.
Proof.
* apply (@flowsToBottom _ _ UEndorsement).
* apply (@joinBottom _ _ UEndorsement).
* apply (@meetBottom _ _ UEndorsement).
* apply (@flowsToIncluded _ _ UEndorsement).
Defined.
